﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GalaSoft.MvvmLight;
using Workshops.ViewModels.Factory;

namespace Workshops.ViewModels.Navigation
{
    public class NavigationService : INavigationService
    {
        private readonly INavigationFrame _navigationFrame;
        private readonly IViewModelFactory _viewModelFactory;

        public NavigationService(INavigationFrame navigationFrame, IViewModelFactory viewModelFactory)
        {
            _navigationFrame = navigationFrame;
            _viewModelFactory = viewModelFactory;
        }

        public void Navigate<T>(params object[] arguments) where T : IViewModel
        {
            var viewModel = _viewModelFactory.Create<T>(arguments);
            _navigationFrame.CurrentPage = viewModel;
        }
    }
}
